Get a policy
Get a policy
Returns one of this seller’s policies, by prefixed ID or slug.
GET
Get a policy
Authorizations
JWT token for an authenticated seller session (seller_api audience)
Headers
Path Parameters
Policy prefixed ID or slug
Documentation Index
Fetch the complete documentation index at: /docs/llms.txt
Use this file to discover all available pages before exploring further.
const options = {
method: 'GET',
headers: {'X-Spree-Seller-Id': '<x-spree-seller-id>', Authorization: 'Bearer <token>'}
};
fetch('http://{defaultHost}/api/v3/seller/policies/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url http://{defaultHost}/api/v3/seller/policies/{id} \
--header 'Authorization: Bearer <token>' \
--header 'X-Spree-Seller-Id: <x-spree-seller-id>'{
"id": "pol_uw2YK1rnl0",
"name": "Returns Policy",
"slug": "returns-policy",
"body": "Send anything back within 30 days.",
"body_html": "<p>Send anything back within 30 days.</p>",
"updated_at": "2026-01-15T12:00:00.000Z",
"created_at": "2026-01-15T12:00:00.000Z"
}{
"error": {
"code": "record_not_found",
"message": "Policy not found"
}
}Returns one of this seller’s policies, by prefixed ID or slug.
const options = {
method: 'GET',
headers: {'X-Spree-Seller-Id': '<x-spree-seller-id>', Authorization: 'Bearer <token>'}
};
fetch('http://{defaultHost}/api/v3/seller/policies/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url http://{defaultHost}/api/v3/seller/policies/{id} \
--header 'Authorization: Bearer <token>' \
--header 'X-Spree-Seller-Id: <x-spree-seller-id>'{
"id": "pol_uw2YK1rnl0",
"name": "Returns Policy",
"slug": "returns-policy",
"body": "Send anything back within 30 days.",
"body_html": "<p>Send anything back within 30 days.</p>",
"updated_at": "2026-01-15T12:00:00.000Z",
"created_at": "2026-01-15T12:00:00.000Z"
}{
"error": {
"code": "record_not_found",
"message": "Policy not found"
}
}JWT token for an authenticated seller session (seller_api audience)
Policy prefixed ID or slug
Was this page helpful?
